@font-face {
    font-family: "SoItGoes";
    src: url("kg_so_it_goes/KGSoItGoes.ttf") format('truetype');
    src: url("kg_so_it_goes/KGSoItGoes.otf") format('otf');
}

html, body {
    display: flex;
    margin: 0;
    padding: 0;
    width: 100%;
}

a
{
    text-decoration: none;
}

h1 {
    color:white;
    margin-left: 20px;
    font-size: large;
}

#link:visited {
    text-decoration: none;
    color:white;
}

.bouton:visited, .boutonActif:visited {
    color: black;
}

.bouton:hover, .boutonActif:hover {
    background-color: rgb(240,188,60);
    color: black;
}

.bouton, .boutonActif {
    border-style: solid;  
    border-radius: 20px;
    text-align: center;
    align-items: center;
    padding-top: 10px;
}

#navigation {
    display: flex;
    flex-direction: column;
    background-color: rgb( 211 , 211 , 211);
    width: 20%;
    min-height: 100vh;
}

    .logo {
        margin: 30px;
        height: 250px;
        width: 230px;
        display: block;
        box-sizing: border-box;
        border: 20px solid rgb(240,188,60); 
        border-radius: 20px;        
        box-shadow: 0 8px 15px rgba(0,0,0,0.3); 
        transition: transform 0.3s, box-shadow 0.3s; 
    }

    .logo:hover {
        transform: scale(1.05);      /* léger agrandissement au survol */
        box-shadow: 0 12px 20px rgba(0,0,0,0.5); /* ombre plus prononcée */
    }

    #menu {
        display: flex;
        flex-direction: column;
    }

        #menu_text {
            display: flex;
            flex-direction: column;
            gap: 30px;
            margin: 50px;
            margin-left: 34px;
            margin-top: 20px;
            padding-top: 30px;
            padding-bottom: 30px;
            font-family: 'SoItGoes';
            font-size: xx-large;
            color:black;
            border-top-style: solid;
            border-top-color: rgb(240,188,60);
            border-bottom-style: solid;
            border-bottom-color: rgb(240,188,60);
        }

            .boutonActif {
                background-color: rgb(242, 213, 140);
            }

#contenu {
    display: flex;
    background-color: rgb(40,48,52);
    width: 80%;
    position: relative;
    min-height: 100vh;
}

    #form {
        display: flex;
        flex-direction: column;
        border-style: solid;
        border-color: rgb(240,188,60);
        box-shadow: 3px 3px 3px rgb(240,188,60);
        border-radius: 10px;
        margin: 0 auto;
        height: 98vh;
        width: 50%;
        position: relative;
        padding-left: 50px;
        padding-right: 50px;
        color: white;
    }

    #gallerie {
        display: flex;
        flex-direction: column;
        background-color: rgb(40,48,52);
        width: 60%;
    }

        .chapitre {
            display: flex;
            flex-direction: column;
            margin-top: 10px;
            border-style: solid;
            border-radius: 10px;
            border-color: rgb(240,188,60);
            width: 40%;
            margin-left: 40px;
            box-shadow: 3px 3px 3px rgb(240,188,60);
        }

            .link {
                color: white;
                margin-top: 10px;
                margin-left: 40px;
                font-size: large;
                text-decoration: underline;
            }

            .link-text {
                color: white;
            }

            .date {
                color: white;
                font-size: x-small;
                padding-right: 10px;
                text-align: right;
            }

            .champs {
                display: flex;
                flex-direction: column;
                width: 50%;
                border-style: solid;
                border-color: rgb(240,188,60);
                box-shadow: 3px 3px 3px rgb(240,188,60);
                border-radius: 10px;
                padding: 20px;
                margin: 0 auto;
                margin-top: 10px;
                margin-bottom: 10px;
            }

            .message {
                display: flex;
                flex-direction: column;
                width: 80%;
                border-style: solid;
                border-color: rgb(240,188,60);
                box-shadow: 3px 3px 3px rgb(240,188,60);
                border-radius: 10px;
                padding: 20px;
                margin: 0 auto;
                margin-top: 50px;
            }

            #sendMessage {
                margin-top: 50px;
                margin: auto;
                width: 20%;
            }


    #pdfViewer {
        border: none;
        width: 50%;
        height: 95vh;
        position: fixed;
        right: 80px; top: 10px;
    }

